Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30
Accepted Solution

SDK beta 3 not installable under Mac OS X

Anyone else having problems with installing the SDK beta 3 under OS X 10.8?

For me the installer doesn't even start and immediately quits after opening it. The icon just bounces once and that is it.

In the log I can only find this entry: com.apple.launchd.peruser.501[259]: ([0x0-0x958958].installer-bbndk[10115]) Exited with code: 1

-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612
Super Contributor
Posts: 440
Registered: ‎01-13-2011
My Device: Playbook
My Carrier: NA

Re: SDK beta 3 not installable under Mac OS X

Mine installed okay, using 10.8 too.

--------------------------------------------------------------------------------------------------
BlackBerry Apps: Instruments | ARTPAD | Piano | Drums | Xylophone
Contributor
Posts: 10
Registered: ‎01-18-2011
My Device: iPhone

Re: SDK beta 3 not installable under Mac OS X

I can't install the Simulator as it's a bad disk image that refuses to open. Not tried the SDK yet.

Contributor
Posts: 10
Registered: ‎01-18-2011
My Device: iPhone

Re: SDK beta 3 not installable under Mac OS X

Oh, you have to turn Gatekeeper off…
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30

Re: SDK beta 3 not installable under Mac OS X

Which exact version of Mountain Lion do you have? 10.8.2? Java 6 or 7?
All previous beta versions worked fine for me too...
-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30

Re: SDK beta 3 not installable under Mac OS X

BTW. Gatekeeper is of course off - was the first thing when I installed OS X 10.8 Smiley Wink

-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612
Developer
Posts: 1,746
Registered: ‎04-08-2010
My Device: Passport Silver, PRIV
My Carrier: Telekom.de, O2, Vodafone

Re: SDK beta 3 not installable under Mac OS X

I had some problems under OSX:

 

installed Beta 3 on top of Beta 2

Beta 3 now correct displayed both versions and I could switch between them

but using Beta 3 I couldn't open any QML file (got a Plugin Error)

 

got a tip and installed Beta 3 a 2nd time

now I could open QML files under Beta 3,

but now if I opened a qml file in Beta 2, the IDE crashed

 

only way was:

delete all existing installations and install only Beta3

-------------------------------------------------------------------------------
ekke (independent software architect, rosenheim, germany)

BlackBerry Elite Developer
BlackBerry Platinum Enterprise Partner
International Development native Mobile Business Apps
BlackBerry 10 | Qt Mobile (Android, iOS)
Workshops / Trainings / Bootcamps

blog: http://ekkes-corner.org
mobile-development: http://appbus.org Twitter: @ekkescorner
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30

Re: SDK beta 3 not installable under Mac OS X

For me, not even the beta2's uninstaller works Smiley Sad

Also just exits with code 1 and bounces even less in the dock.

 

Is it possible that the (un)installers use Java or something else that's maybe broke (or at least some API call) on my system?

Latest OS X 10.8.2, Java 7 (by Oracle) as well as Java 6 (by Apple).

-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612
Developer
Posts: 426
Registered: ‎04-10-2011
My Device: Z30

Re: SDK beta 3 not installable under Mac OS X

I managed to get it running. After discovering that OS X is not updating Java 6 automatically (and your installer apparently doesn't support Java 7 by Oracle) and manually downloading the update, it finally worked Smiley Happy
-----------------------------------------------------------------------------
Check out my apps in the BlackBerry World
Visit my developer blog alopix.net
BBM Channel: C0047B612